Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class CardAggregated1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.CardAggregated1

public class CardAggregated1 extends Object

Java class for CardAggregated1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardAggregated1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AddtlSvc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CardPaymentServiceType2Code" minOccurs="0"/>
             <element name="TxCtgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ExternalCardTransactionCategory1Code" minOccurs="0"/>
             <element name="SaleRcncltnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="SeqNbRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CardSequenceNumberRange1" minOccurs="0"/>
             <element name="TxDtRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}DateOrDateTimePeriodChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CardPaymentServiceType2Code`
`addtlSvc`
`protected String`
`saleRcncltnId`
`protected CardSequenceNumberRange1`
`seqNbRg`
`protected String`
`txCtgy`
`protected DateOrDateTimePeriodChoice`
`txDtRg`

## Constructor Summary

Constructors
Constructor
Description
`CardAggregated1()`

## Method Summary

Modifier and Type
Method
Description
`CardPaymentServiceType2Code`
`getAddtlSvc()`
Gets the value of the addtlSvc property.
`String`
`getSaleRcncltnId()`
Gets the value of the saleRcncltnId property.
`CardSequenceNumberRange1`
`getSeqNbRg()`
Gets the value of the seqNbRg property.
`String`
`getTxCtgy()`
Gets the value of the txCtgy property.
`DateOrDateTimePeriodChoice`
`getTxDtRg()`
Gets the value of the txDtRg property.
`void`
`setAddtlSvc(CardPaymentServiceType2Code value)`
Sets the value of the addtlSvc property.
`void`
`setSaleRcncltnId(String value)`
Sets the value of the saleRcncltnId property.
`void`
`setSeqNbRg(CardSequenceNumberRange1 value)`
Sets the value of the seqNbRg property.
`void`
`setTxCtgy(String value)`
Sets the value of the txCtgy property.
`void`
`setTxDtRg(DateOrDateTimePeriodChoice value)`
Sets the value of the txDtRg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### addtlSvc

protected CardPaymentServiceType2Code addtlSvc

### txCtgy

protected String txCtgy

### saleRcncltnId

protected String saleRcncltnId

### seqNbRg

protected CardSequenceNumberRange1 seqNbRg

### txDtRg

protected DateOrDateTimePeriodChoice txDtRg

## Constructor Details

### CardAggregated1

public CardAggregated1()

## Method Details

### getAddtlSvc

public CardPaymentServiceType2Code getAddtlSvc()
Gets the value of the addtlSvc property.

Returns:
  possible object is `CardPaymentServiceType2Code`

### setAddtlSvc

public void setAddtlSvc(CardPaymentServiceType2Code value)
Sets the value of the addtlSvc property.

Parameters:
  `value` - allowed object is `CardPaymentServiceType2Code`

### getTxCtgy

public String getTxCtgy()
Gets the value of the txCtgy property.

Returns:
  possible object is `String`

### setTxCtgy

public void setTxCtgy(String value)
Sets the value of the txCtgy property.

Parameters:
  `value` - allowed object is `String`

### getSaleRcncltnId

public String getSaleRcncltnId()
Gets the value of the saleRcncltnId property.

Returns:
  possible object is `String`

### setSaleRcncltnId

public void setSaleRcncltnId(String value)
Sets the value of the saleRcncltnId property.

Parameters:
  `value` - allowed object is `String`

### getSeqNbRg

public CardSequenceNumberRange1 getSeqNbRg()
Gets the value of the seqNbRg property.

Returns:
  possible object is `CardSequenceNumberRange1`

### setSeqNbRg

public void setSeqNbRg(CardSequenceNumberRange1 value)
Sets the value of the seqNbRg property.

Parameters:
  `value` - allowed object is `CardSequenceNumberRange1`

### getTxDtRg

public DateOrDateTimePeriodChoice getTxDtRg()
Gets the value of the txDtRg property.

Returns:
  possible object is `DateOrDateTimePeriodChoice`

### setTxDtRg

public void setTxDtRg(DateOrDateTimePeriodChoice value)
Sets the value of the txDtRg property.

Parameters:
  `value` - allowed object is `DateOrDateTimePeriodChoice`